{% extends "default_layout.html" %}

{% block extra_head %}
	<meta property="og:title" content="{{ post.title }}">
	<meta property="og:description" content="{{ post.body | truncate(800,true) }}">
	{% if post.is_image == True %}
	<meta property="og:image" content="https://xaiecon.com/post/image?pid={{ post.id }}">
	{% elif post.is_thumb == True %}
	<meta property="og:image" content="https://xaiecon.com/post/thumb?pid={{ post.id }}">
	{% endif %}
{% endblock %}

{% block content %}
	{% if post.is_image == True %}
		<img id='image-full-dispenser' class='image-preview' onclick='full_image();' width='128px' height='128px' src='/post/thumb?pid={{ post.id }}'>
		<div id='image-full' class='image-preview-full'>
			<img src='/post/image?pid={{ post.id }}'></img>
		</div>
		<div id='smoke-curtain' class='smoke-curtain'></div>
	{% elif post.is_thumb == True and post.is_link == True %}
		<div style='float:left;'><a href='{{ post.link_url }}'><img width='128px' height='128px' src='/post/thumb?pid={{ post.id }}'></a></div>
	{% elif post.is_thumb == True %}
		<div style='float:left;'><img width='128px' height='128px' src='/post/thumb?pid={{ post.id }}'></div>
	{% endif %}
	
	<div style='height:100%;float:left;margin:0 16px;'>
	{% if u != None %}
		<a tabindex=0 id='{{ post.id }}-upvote' class='content-upvote{% if u.has_vote_on_post(post.id).value == 1 %}-active{% endif %}' onclick='vote_post("{{ post.id }}",1)'></a>
		<p id='{{ post.id }}-counter'>{{ post.upvote_count }}/{{ post.downvote_count }}</p>
		<a tabindex=0 id='{{ post.id }}-downvote' class='content-downvote{% if u.has_vote_on_post(post.id).value == -1 %}-active{% endif %}' onclick='vote_post("{{ post.id }}",-1)'></a>
	{% else %}
		<a tabindex=0 class='content-upvote'></a>
		<p id='{{ post.id }}-counter'>{{ post.upvote_count }}/{{ post.downvote_count }}</p>
		<a tabindex=0 class='content-downvote'></a>
	{% endif %}
	</div>
	
	{% if post.is_link == True %}
	<a href='{{ post.link_url }}'><h2>{{ post.title }}</h2></a>
	{% else %}
	<a href='/post/view?pid={{ post.id }}'><h2>{{ post.title }}</h2></a>
	{% endif %}
	
	<p style='color:gray;'>Submitted <i class='content-datetime' value='{{ post.creation_date }}'>(calculating...)</i> by 
	<a href='/user/view?uid={{ post.user_info.id }}'>/u/{{ post.user_info.username }}</a>
	Posted on <a href='/board/view?bid={{ post.board_info.id }}'>/b/{{ post.board_info.name | truncate(50,True) }}</a>
	</p>
	
	<div>
		<p>{{ post.body_html | safe }}</p>
		{{ post.embed_html|safe }}
	</div>

	<a class='post-option' href='/post/list?category={{ post.category_info.name }}'>{{ post.category_info.name }}</a>
	
	<a class='post-option' href='/post/view?pid={{ post.id }}'>{{ post.views }} views</a>
	<a class='post-option' href='/post/view?pid={{ post.id }}'>{{ post.number_comments }} comments</a>
	
{% if u != None %}
	{% if u.id == post.user_id or u.is_admin == True %}
	<a class='post-option' href='/post/delete?pid={{ post.id }}'>{% trans %}Delete{% endtrans %}</a>
	<a class='post-option' href='/post/edit?pid={{ post.id }}'>{% trans %}Edit{% endtrans %}</a>
	{% endif %}
	{% if post.board_info and u.mods(post.board_info.id) == True or u.is_admin == True %}
	<a class='post-option' href='/post/kick?pid={{ post.id }}'>{% trans %}Kick{% endtrans %}</a>
	{% if post.is_nuked == False %}
	<a class='post-option' href='/post/nuke?pid={{ post.id }}'>{% trans %}Nuke{% endtrans %}</a>
	{% elif u.is_admin == True %}
	<a class='post-option' href='/post/unnuke?pid={{ post.id }}'>{% trans %}Un-nuke{% endtrans %}</a>
	{% endif %}
	<a class='post-option' href='/board/ban?bid={{ post.board_id }}&uid={{ post.user_id }}'>{% trans %}Ban user{% endtrans %}</a>
	{% endif %}
	<a class='post-option' href='/post/yank?pid={{ post.id }}'>{% trans %}Yank{% endtrans %}</a>
{% endif %}
{% if post.show_votes == True %}
	<a class='post-option' href='/post/ballot?pid={{ post.id }}'>{% trans %}Voters{% endtrans %}</a>
{% endif %}
	<a class='post-option' href='/post/flag?pid={{ post.id }}'>{% trans %}Flag{% endtrans %}</a>
	<a class='post-option' href='/post/embed?pid={{ post.id }}'>{% trans %}Embed{% endtrans %}</a>
	
	</br>
	
{% if u != None %}
	<h2>{% trans %}Add comment{% endtrans %}</h2>
	<form enctype='multipart/form-data' method='POST' action='/comment/create'>
		<input type='text' name='pid' style='display:none;' value='{{ post.id }}'>
		<textarea rows=6 cols=60 class='textbar-normal' type='text' name='body' placeholder='{% trans %}Comment body{% endtrans %}'></textarea></br>
		<input class='form-btn' type='submit' value='Comment'>
	</form>
{% endif %}
	
	{% if comment %}
		<h2>{% trans %}Comments{% endtrans %}</h2>
		<hr>
		{% for c in comment %}
			<div id='parent-{{ c.id }}' class='comment-block-details' style='margin-left:{{ c.depth_level-1 }}0%'>
				<img style='border-radius:32px;float:left;' width='64px' height='64px' src='/user/thumb?uid={{ c.user_id }}'></img>
				<p style='color:grey;'>Submitted <i class='content-datetime' value='{{ c.creation_date }}'>(calculating...)</i> by <a href='/user/view?uid={{ c.user_id }}'>/u/{{ c.user_info.username }}</a></p>
				<p>{{ c.body_html | safe }}</p>
				{% if u != None %}
					<a onclick='reply_comment("reply-form-{{ c.id }}");'>{% trans %}Reply{% endtrans %}</a>
					{% if c.user_id == u.id or u.is_admin == True %}
					<a href='/comment/edit?cid={{ c.id }}'>{% trans %}Edit{% endtrans %}</a>
					<a href='/comment/delete?cid={{ c.id }}'>{% trans %}Delete{% endtrans %}</a>
					{% endif %}
				{% endif %}
				{% if c.more_children == True %}
				<a href='/comment/view?cid={{ c.id }}'>{% trans %}View entire discussion{% endtrans %}</a>
				{% endif %}
			</div>
			<div id='reply-form-{{ c.id }}' class='comment-block-details' style='margin-left:{{ c.depth_level }}0%;display:none;'>
				<form enctype='multipart/form-data' method='POST' action='/comment/reply'>
					<input type='text' name='pid' style='display:none;' value='{{ post.id }}'>
					<input type='text' name='cid' style='display:none;' value='{{ c.id }}'>
					<textarea rows=6 cols=60 class='textbar-normal' type='text' name='body' placeholder='{% trans %}Comment body{% endtrans %}'></textarea></br>
					<input class='form-btn' type='submit' value='{% trans %}Reply{% endtrans %}'>
				</form>
			</div>
		{% endfor %}
	{% else %}
		<h2>{% trans %}No comments yet{% endtrans %}</h2>
	{% endif %}
<script type='text/javascript'>
setInterval(update_content_time,1000);
</script>
{% endblock %}
